Summary: Open Package Manager
Name: opkg
Version: 0.2.2
Release: r0.0
Epoch: 1
License: GPLv2+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://code.google.com/p/opkg/
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libopkg.so.1()(64bit)
Requires: run-postinsts
Requires: opkg-config-base
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: /bin/sh
Requires: update-alternatives-opkg
Requires: libopkg1 >= 0.2.2
Provides: opkg-nogpg
Provides: elf(buildid) = 8b9b1d43122f0f201f70b59a01bed3539f00bc39
Obsoletes: opkg-nogpg

%description
Open Package Manager.

%package -n libopkg-dev
Summary: Open Package Manager
Group: base
Requires: libopkg1
Suggests: libc6-dev

%description -n libopkg-dev
Open Package Manager.

%package -n libopkg-staticdev
Summary: Open Package Manager
Group: base

%description -n libopkg-staticdev
Open Package Manager.

%package -n libopkg1
Summary: Open Package Manager library
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Provides: libopkg
Provides: elf(buildid) = 248d6a6be414d7da1bfbf147fb9797cfd4c577ef
Provides: libopkg.so.1()(64bit)

%description -n libopkg1
Open Package Manager.

%package -n opkg-dbg
Summary: Open Package Manager - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libopkg-dbg
Recommends: opkg = 1:0.2.2-r0.0

%description -n opkg-dbg
Open Package Manager.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n opkg-staticdev
Summary: Open Package Manager - Development files (Static Libraries)
Group: devel
Requires: opkg-dev = 1:0.2.2-r0.0

%description -n opkg-staticdev
Open Package Manager.  This package contains static libraries for software
development.

%package -n opkg-dev
Summary: Open Package Manager - Development files
Group: devel
Requires: opkg = 1:0.2.2-r0.0
Suggests: libc6-dev
Suggests: run-postinsts-dev
Suggests: update-alternatives-opkg-dev
Suggests: opkg-config-base-dev
Suggests: libopkg-dev

%description -n opkg-dev
Open Package Manager.  This package contains symbolic links, header files,
and related items necessary for software development.

%package -n opkg-doc
Summary: Open Package Manager - Documentation files
Group: doc

%description -n opkg-doc
Open Package Manager.  This package contains documentation.

%package -n opkg-locale
Summary: Open Package Manager
Group: base

%description -n opkg-locale
Open Package Manager.

%post -n libopkg1
# libopkg1 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/share"
"/usr/bin/opkg"
"/usr/bin/opkg-key"
"/usr/bin/opkg-cl"
%dir "/usr/share/opkg"
%dir "/usr/share/opkg/intercept"
"/usr/share/opkg/intercept/update-modules"
"/usr/share/opkg/intercept/ldconfig"
"/usr/share/opkg/intercept/depmod"

%files -n libopkg-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/include"
"/usr/lib64/libopkg.la"
"/usr/lib64/libopkg.so"
%dir "/usr/include/libopkg"
"/usr/include/libopkg/hash_table.h"
"/usr/include/libopkg/opkg_defines.h"
"/usr/include/libopkg/pkg_parse.h"
"/usr/include/libopkg/void_list.h"
"/usr/include/libopkg/opkg_conf.h"
"/usr/include/libopkg/opkg_remove.h"
"/usr/include/libopkg/pkg_hash.h"
"/usr/include/libopkg/sha256.h"
"/usr/include/libopkg/pkg_vec.h"
"/usr/include/libopkg/pkg_extract.h"
"/usr/include/libopkg/str_list.h"
"/usr/include/libopkg/active_list.h"
"/usr/include/libopkg/pkg.h"
"/usr/include/libopkg/sprintf_alloc.h"
"/usr/include/libopkg/conffile_list.h"
"/usr/include/libopkg/parse_util.h"
"/usr/include/libopkg/release.h"
"/usr/include/libopkg/md5.h"
"/usr/include/libopkg/pkg_dest.h"
"/usr/include/libopkg/opkg_upgrade.h"
"/usr/include/libopkg/list.h"
"/usr/include/libopkg/conffile.h"
"/usr/include/libopkg/nv_pair_list.h"
"/usr/include/libopkg/xregex.h"
"/usr/include/libopkg/opkg_utils.h"
"/usr/include/libopkg/opkg_cmd.h"
"/usr/include/libopkg/release_parse.h"
"/usr/include/libopkg/opkg_message.h"
"/usr/include/libopkg/xsystem.h"
"/usr/include/libopkg/nv_pair.h"
"/usr/include/libopkg/pkg_src_list.h"
"/usr/include/libopkg/pkg_src.h"
"/usr/include/libopkg/pkg_depends.h"
"/usr/include/libopkg/opkg.h"
"/usr/include/libopkg/opkg_install.h"
"/usr/include/libopkg/opkg_configure.h"
"/usr/include/libopkg/opkg_download.h"
"/usr/include/libopkg/file_util.h"
"/usr/include/libopkg/cksum_list.h"
"/usr/include/libopkg/pkg_dest_list.h"

%files -n libopkg-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libopkg.a"

%files -n libopkg1
%defattr(-,-,-,-)
%dir "/usr"
%dir "/var"
%dir "/usr/lib64"
"/usr/lib64/libopkg.so.1.0.0"
"/usr/lib64/libopkg.so.1"
%dir "/var/lib"
%dir "/var/lib/opkg"

%files -n opkg-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/opkg-cl"
%dir "/usr/src/debug"
%dir "/usr/src/debug/opkg"
%dir "/usr/src/debug/opkg/1_0.2.2-r0"
%dir "/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2"
%dir "/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb"
%dir "/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg"
%dir "/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/src"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/safe_strncpy.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/libbb.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/wfopen.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/last_char_is.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/time_string.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/copy_file_chunk.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/make_directory.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/xfuncs.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/gz_open.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/mode_string.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/unarchive.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/xreadlink.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/concat_path_file.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/unzip.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/all_read.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/parse_mode.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libbb/copy_file.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/xsystem.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/hash_table.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_parse.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/void_list.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/active_list.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_conf.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_hash.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/str_list.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/conffile.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_remove.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_hash.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_src.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_install.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_vec.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_extract.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/str_list.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/active_list.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_dest.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/conffile_list.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_extract.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/sprintf_alloc.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/conffile_list.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/parse_util.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/cksum_list.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/release.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/md5.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_conf.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_parse.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_dest.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/release_parse.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_utils.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_upgrade.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/list.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_vec.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_depends.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/conffile.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_configure.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/xregex.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/nv_pair_list.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/xregex.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_utils.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/sprintf_alloc.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_remove.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_cmd.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/release_parse.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_message.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/release.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_message.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/nv_pair.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/file_util.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/xsystem.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_download.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_upgrade.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/nv_pair.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_src_list.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_src_list.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/hash_table.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_src.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_cmd.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_depends.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/parse_util.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/nv_pair_list.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_install.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_configure.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/opkg_download.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/file_util.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/md5.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/cksum_list.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/void_list.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_dest_list.h"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg_dest_list.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/libopkg/pkg.c"
"/usr/src/debug/opkg/1_0.2.2-r0/opkg-0.2.2/src/opkg-cl.c"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libopkg.so.1.0.0"

%files -n opkg-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/pkgconfig/libopkg.pc"

%files -n opkg-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/opkg-cl.1"
"/usr/share/man/man1/opkg-key.1"

